#!/usr/bin/perl
#
# main-wrapper for the tcpdump used in the CID tool. Goes in as a root
# cron job like this (runs every hour on the hour):
#
# 0 * * * * /<suitable path here>/tcpdump.driver.pl > /dev/null 2>&1
#
# The stop_logger.pl/start_logger.pl scripts complain if anything
# is wrong, so not much to do here except make sure the scripts we
# intend to run actually exist.
#
# Author: Olav Kolbu <olav.kolbu@usit.uio.no>
# Modifier: Bill Ralph <wralph@nswc.navy.mil>
#
# This code is hereby released into the public domain. It is released
# "as-is". All warranties disclaimed, implied or otherwise.
# 

# These are the external variables we need
unshift(@INC, "/usr/local/logger/sensor");
require "variables.ph";

# Refuse to do anything if stop_logger.pl or start_logger.pl isn't
# where we expect them to be.
die("'$PROGLOC/stop_logger.pl' not found, aborting\n") 
  if ! -x "$PROGLOC/stop_logger.pl";
die("'$PROGLOC/start_logger.pl' not found, aborting\n") 
  if ! -x "$PROGLOC/start_logger.pl";

# First, we stop the potentially running tcpdump program by calling our
# nifty stop_logger.pl script.
system("$PROGLOC/stop_logger.pl");

# Then we rotate a few logs, throw a few timestamps around and then
# fire up the new tcpdump. All in the equally nifty start_logger.pl script.
system("$PROGLOC/start_logger.pl");
